Last Comment Bug 672823 - GCLI needs to provide completion hints for Javascript to match the JSTerms hints
: GCLI needs to provide completion hints for Javascript to match the JSTerms hints
Status: RESOLVED FIXED
[best:2d, likely:4d, worst:7d]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
Mentors:
Depends on:
Blocks: GCLI-JS
  Show dependency treegraph
 
Reported: 2011-07-20 09:06 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2011-09-05 04:27 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-07-20 09:06:26 PDT

    
Comment 1 Kevin Dangoor 2011-07-26 12:29:42 PDT
Just making a note that depending on how things are implemented, we might want this bug to fix bug 672733
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-07-27 02:08:55 PDT
Good spot, thanks.
Comment 3 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-08-02 07:32:48 PDT
Mihai is doing e10s work on the JS completion. I hope we can use this as the basis for JS completion in GCLI.
Ideally the e10s work would extract the completion logic into a separate JSM with a well defined API, which should help us re-use it in a CommonJS module.

CCing Mihai.
Comment 4 Mihai Sucan [:msucan] 2011-08-02 08:26:57 PDT
There's e10s work underway that allows marshaling of objects and their properties for the Property Panel, in bug 673148.

That work is very much reusable for the existing autocomplete code and for the upcoming GCLI autocomplete work that needs to be done.

Once I get back to work on the e10s patch in 673148 I will implement a sort of GC for the evaluated content objects, and I will also move to making the existing autocomplete code work with the new e10s-friendly API.

Once that's done I believe you can do the work needed here. (if it is desired that this bug is fixed in an e10s friendly approach from the start.)
Comment 5 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-08-03 02:33:51 PDT
Marking as minotaur, and adding estimates
Comment 6 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-08-03 02:41:50 PDT
Should add - the estimates are guestimates.

Note You need to log in before you can comment on or make changes to this bug.